Loading...
Searching...
No Matches
Ogre::VectorBase< dims, T > Struct Template Reference
Core » Math

helper class to implement legacy API. Notably x, y, z access More...

`#include <OgreVector.h>`

Inheritance diagram for Ogre::VectorBase< dims, T >:
[legend]

## Public Member Functions

| VectorBase ()
constexpr | VectorBase (T _x, T _y)
constexpr | VectorBase (T _x, T _y, T _z)
constexpr | VectorBase (T _x, T _y, T _z, T _w)
T * | ptr ()
const T * | ptr () const

## Public Attributes

T | data [dims]

## Detailed Description

template<int dims, typename T>
struct Ogre::VectorBase< dims, T >

helper class to implement legacy API. Notably x, y, z access

## Constructor & Destructor Documentation

## VectorBase() [1/4]

template<int dims, typename T>

Ogre::VectorBase< dims, T >::VectorBase | ( |  | ) |

inline

Referenced by Ogre::Vector< 2, Real >::Vector(), Ogre::Vector< 2, Real >::Vector(), Ogre::Vector< 2, Real >::Vector(), Ogre::Vector< 2, Real >::Vector(), and Ogre::Vector< 2, Real >::dotProduct().

## VectorBase() [2/4]

template<int dims, typename T>

Ogre::VectorBase< dims, T >::VectorBase | ( | T | _x,
|  | T | _y )

inline constexpr

References data.

## VectorBase() [3/4]

template<int dims, typename T>

Ogre::VectorBase< dims, T >::VectorBase | ( | T | _x,
|  | T | _y,
|  | T | _z )

inline constexpr

References data.

## VectorBase() [4/4]

template<int dims, typename T>

Ogre::VectorBase< dims, T >::VectorBase | ( | T | _x,
|  | T | _y,
|  | T | _z,
|  | T | _w )

inline constexpr

References data.

## Member Function Documentation

## ptr() [1/2]

template<int dims, typename T>

T * Ogre::VectorBase< dims, T >::ptr | ( |  | ) |

inline

References data.

Referenced by Ogre::Vector< 2, Real >::Vector(), Ogre::Vector< 2, Real >::Vector(), Ogre::Vector< 2, Real >::Vector(), Ogre::GpuProgramParameters::_writeRawConstant(), Ogre::Vector< 2, Real >::dotProduct(), Ogre::Vector< 2, Real >::isNaN(), Ogre::Vector< 2, Real >::makeCeil(), Ogre::Vector< 2, Real >::makeFloor(), Ogre::Vector< 2, Real >::normalise(), Ogre::Vector< 2, Real >::operator*=(), Ogre::Vector< 2, Real >::operator*=(), Ogre::Vector< 2, Real >::operator+=(), Ogre::Vector< 2, Real >::operator+=(), Ogre::Vector< 2, Real >::operator-=(), Ogre::Vector< 2, Real >::operator-=(), Ogre::Vector< 2, Real >::operator/=(), Ogre::Vector< 2, Real >::operator/=(), Ogre::Vector< 2, Real >::operator<(), Ogre::Vector< 2, Real >::operator==(), Ogre::Vector< 2, Real >::operator>(), Ogre::Vector< 2, Real >::operator[](), Ogre::Vector< 2, Real >::operator[](), Ogre::Vector< 2, Real >::positionEquals(), Ogre::RTShader::UniformParameter::setGpuParameter(), Ogre::GpuSharedParameters::setNamedConstant(), Ogre::Vector< 2, Real >::xy(), and Ogre::Vector< 2, Real >::xyz().

## ptr() [2/2]

template<int dims, typename T>

const T * Ogre::VectorBase< dims, T >::ptr | ( |  | ) | const

inline

References data.

## Member Data Documentation

## data

template<int dims, typename T>

T Ogre::VectorBase< dims, T >::data[dims]

Referenced by VectorBase(), VectorBase(), VectorBase(), ptr(), and ptr().

The documentation for this struct was generated from the following file:

- OgreVector.h